SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000296SiT!otherpublic2008-12-06 13:392009-02-27 16:28
Reporterkieran 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000296: Log 'hidden' errors
DescriptionWe should have some mechanism of logging/displaying errors occuring during auto.php execution for example. An basic method could be calling a trigger in sit_error_handler() if we're using CLI which then either emails or displays a notice for an admin.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000293)
ivan (administrator)
2008-12-06 17:46

the sit error handler can already log to a file, can't remember the config var offhand but is this what you meant?
User avatar (0000299)
ivan (administrator)
2008-12-08 12:04

Fixed in trunk svn r4397 added a function called debug_log() which can be used to add text to $CONFIG['error_logfile'] which must already exist and be writable.

- Issue History
Date Modified Username Field Change
2008-12-06 13:39 kieran New Issue
2008-12-06 17:46 ivan Note Added: 0000293
2008-12-08 12:04 ivan Note Added: 0000299
2008-12-08 12:04 ivan Assigned To => ivan
2008-12-08 12:04 ivan Status new => resolved
2008-12-08 12:04 ivan Resolution open => fixed
2008-12-08 12:04 ivan Fixed in Version => 3.45
2008-12-08 12:04 ivan Target Version => 3.45
2009-02-27 16:28 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker